pandoc-citeproc-0.8: Supports using pandoc with citeproc

Copyright | (C) 2008 Andrea Rossato
License | BSD3
Maintainer | andrea.rossato@unitn.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

Text.CSL.Input.Bibutils

Description

Synopsis

- readBiblioFile :: FilePath -> IO [Reference]
- readBiblioString :: BibFormat -> String -> IO [Reference]
- data BibFormat
  - = Json
  - | Yaml
  - | Bibtex
  - | BibLatex
  - | Ris
  - | Endnote
  - | EndnotXml
  - | Isi
  - | Medline
  - | Copac
  - | Mods
- convertRefs :: Maybe MetaValue -> Either String [Reference]

# Documentation

readBiblioFile :: FilePath -> IO [Reference]

Read a file with a bibliographic database. The database format is recognized by the file extension.

Supported formats are: `json`, `mods`, `bibtex`, `biblatex`, `ris`, `endnote`, `endnotexml`, `isi`, `medline`, and `copac`.

readBiblioString :: BibFormat -> String -> IO [Reference]

data BibFormat

Constructors

Json |
Yaml |
Bibtex |
BibLatex |
Ris |
Endnote |
EndnotXml |
Isi |
Medline |
Copac |
Mods |

convertRefs :: Maybe MetaValue -> Either String [Reference]